INTERFACE
SUBROUTINE GATHERSPA(PGSPA3,PGSPA2,PLSPA3,PLSPA2)
USE PARKIND1 ,ONLY : JPIM ,JPRB
REAL(KIND=JPRB) ,INTENT(OUT) :: PGSPA3(:,:,:)
REAL(KIND=JPRB) ,INTENT(OUT) :: PGSPA2(:,:)
REAL(KIND=JPRB) ,INTENT(IN), OPTIONAL, TARGET :: PLSPA3(:,:,:)
REAL(KIND=JPRB) ,INTENT(IN), OPTIONAL, TARGET :: PLSPA2(:,:)
END SUBROUTINE GATHERSPA
END INTERFACE
